Retrieve an order by ID
Retrieves the details of an existing order by its merchant-supplied order_id. Use the fields parameter to restrict the returned attributes.
Parameters
Header Parameters
[Authentication] Required API key.
"^[a-zA-Z0-9-]{20,64}$"Path Parameters
Merchant-supplied order identifier as previously sent via bulkCreateOrders.
Query Parameters
Subset of order fields to return. Repeat the parameter or use fields[]= syntax. Defaults to all fields.
Responses
Resource successfully retrieved.
Retrieve an order by ID Retrieves the details of an existing order by its merchant-supplied order_id. Use the fields parameter to restrict the returned attributes. GET /v1/orders/id/{order_id} getOrder Orders spm-api-key [Authentication] Required API key. order_id Merchant-supplied order identifier as previously sent via bulkCreateOrders. fields Subset of order fields to return. Repeat the parameter or use fields[]= syntax. Defaults to all fields. Resource successfully retrieved. Client error - Invalid request or authentication issues Server error - Internal processing failure